std::__detail::_List_node_header(3)

NAME
std::__detail::_List_node_header - The list node header.

SYNOPSIS

Inherits std::__detail::_List_node_base.

  Public Member Functions
_List_node_header (_List_node_header &&__x) noexcept
void _M_hook (_List_node_base *const __position) noexcept
void _M_init () noexcept
void _M_move_nodes (_List_node_header &&__x)
void _M_reverse () noexcept
void _M_transfer (_List_node_base *const __first, _List_node_base *const __last) noexcept
void _M_unhook () noexcept

  Static Public Member Functions
static void swap (_List_node_base &__x, _List_node_base &__y) noexcept

  Public Attributes
_List_node_base * _M_next
_List_node_base * _M_prev

Detailed Description

The list node header.

Definition at line 103 of file stl_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.